Open CASCADE Technology: Contap_SurfProps Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Static Public Member Functions
Contap_SurfProps Class Reference

Internal tool used to compute the normal and its derivatives. More...

`#include <Contap_SurfProps.hxx>`

## Static Public Member Functions
static void | Normale (const Handle< Adaptor3d_HSurface > &S, const Standard_Real U, const Standard_Real V, gp_Pnt &P, gp_Vec &N)
| Computes the point. More...
static void | DerivAndNorm (const Handle< Adaptor3d_HSurface > &S, const Standard_Real U, const Standard_Real V, gp_Pnt &P, gp_Vec &d1u, gp_Vec &d1v, gp_Vec &N)
| Computes the point. More...
static void | NormAndDn (const Handle< Adaptor3d_HSurface > &S, const Standard_Real U, const Standard_Real V, gp_Pnt &P, gp_Vec &N, gp_Vec &Dnu, gp_Vec &Dnv)
| Computes the point. More...

## Detailed Description

Internal tool used to compute the normal and its derivatives.

## Member Function Documentation

static void Contap_SurfProps::DerivAndNorm | ( | const Handle< Adaptor3d_HSurface > & | S,
|  | const Standard_Real | U,
|  | const Standard_Real | V,
|  | gp_Pnt & | P,
|  | gp_Vec & | d1u,
|  | gp_Vec & | d1v,
|  | gp_Vec & | N
| ) |  |
| static

Computes the point.

, and normal vector <N> on <S> at parameters U,V.

static void Contap_SurfProps::Normale | ( | const Handle< Adaptor3d_HSurface > & | S,
|  | const Standard_Real | U,
|  | const Standard_Real | V,
|  | gp_Pnt & | P,
|  | gp_Vec & | N
| ) |  |
| static

Computes the point.

, and normal vector <N> on <S> at parameters U,V.

static void Contap_SurfProps::NormAndDn | ( | const Handle< Adaptor3d_HSurface > & | S,
|  | const Standard_Real | U,
|  | const Standard_Real | V,
|  | gp_Pnt & | P,
|  | gp_Vec & | N,
|  | gp_Vec & | Dnu,
|  | gp_Vec & | Dnv
| ) |  |
| static

Computes the point.

, normal vector <N>, and its derivatives <Dnu> and <Dnv> on <S> at parameters U,V.

The documentation for this class was generated from the following file:

- Contap_SurfProps.hxx